> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Create a signed request

POST https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/app_installations/{app_definition_id}/signed_requests
Content-Type: application/vnd.contentful.management.v1+json

Reference: https://contentful.com/developers/docs/references/content-management-api/app-signed-request/create-a-signed-request

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space
- `environment_id` (string, required) — ID of the environment
- `app_definition_id` (string, required) — ID of the app definition

### Body (application/vnd.contentful.management.v1+json)

This endpoint expects a map from string to any.

- `map from string to any`

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Request**

```json
{
  "body": "<optional-request-body-as-string>",
  "headers": {
    "Content-Type": "application/json",
    "X-Some-Header": "some-value"
  },
  "method": "GET|PUT|POST|DELETE|PATCH|HEAD",
  "path": "<path-without-protocol-or-hostname>"
}
```

**Response**

```json
{
  "additionalHeaders": {
    "X-Contentful-CRN": "<crn-of-signed-request>",
    "X-Contentful-Environment-Id": "<environment-id>",
    "X-Contentful-Signature": "<signature>",
    "X-Contentful-Signed-Headers": "<comma-separated-headers-in-signing-order>",
    "X-Contentful-Space-Id": "<space-id>",
    "X-Contentful-Timestamp": "<timestamp-of-request-signing>",
    "X-Contentful-User-Id": "<user-id>"
  },
  "sys": {
    "appDefinition": {
      "sys": {
        "id": "<app_definition_id>",
        "linkType": "AppDefinition",
        "type": "Link"
      }
    },
    "type": "AppSignedRequest"
  }
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
SDK currently doesn't implement this endpoint.
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const signedRequest = await client.appSignedRequest.create(
  {
    spaceId: '<space_id>',
    organizationId: '<organization_id>',
    appDefinitionId: '<app_definition_id>',
  },
  {
    method: 'POST',
    path: 'https://your-app-backend.com/event-handler',
    headers: {
      'Content-Type': 'application/json',
      'X-some-header': 'some-value',
    },
    body: JSON.stringify({ /* ... */ }),
  }
);
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```